MODULE obs_seaice
   !!=====================================================================
   !!                       ***  MODULE  obs_seaice  ***
   !! Observation diagnostics: Storage space for sea ice observations
   !!                          arrays and additional flags etc.
   !!=====================================================================
   
   !! * Modules used 
   USE obs_surf_def ! Definition of sea ice data types and tools

   IMPLICIT NONE
   
   SAVE

   !! * Routine accessibility
   PRIVATE

   PUBLIC nseaicevars, nseaiceextr, nseaicesets, seaicedata, seaicedatqc

   !! * Shared Module variables
   INTEGER :: nseaicevars                               ! Number of seaicedata variables
   INTEGER :: nseaiceextr                               ! Number of seaicedata extra 
                                                     ! variables
   INTEGER :: nseaicesets                               ! Number of seaicedata sets
   TYPE(obs_surf), POINTER, DIMENSION(:) :: seaicedata  ! Initial sea ice data
   TYPE(obs_surf), POINTER, DIMENSION(:) :: seaicedatqc ! Sea ice data after quality control

END MODULE obs_seaice

